org.apache.ignite.internal.client

## Class GridClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.client.GridClientException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GridClientAuthenticationException, GridClientClosedException, GridClientConnectionResetException, GridClientDisconnectedException, GridClientFutureTimeoutException, GridClientHandshakeException, GridServerUnreachableException

    public class GridClientException
    extends Exception

Client exception is a common super class of all client exceptions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientException(String msg)` Constructs client exception.
`GridClientException(String msg, Throwable cause)` Constructs client exception.
`GridClientException(Throwable cause)` Constructs client exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasCause(Class<? extends Throwable>... cls)` Checks if passed in `'Throwable'` has given class in `'cause'` hierarchy including that throwable itself.
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientException

    public GridClientException(String msg)

Constructs client exception.

Parameters:
  `msg` - Message.

#### GridClientException

    public GridClientException(String msg,
                               Throwable cause)

Constructs client exception.

Parameters:
  `msg` - Message.
  `cause` - Cause.

#### GridClientException

    public GridClientException(Throwable cause)

Constructs client exception.

Parameters:
  `cause` - Cause.

### Method Detail

#### hasCause

    public boolean hasCause(@Nullable
                            Class<? extends Throwable>... cls)

Checks if passed in `'Throwable'` has given class in `'cause'` hierarchy including that throwable itself.

Note that this method follows includes `Throwable.getSuppressed()` into check.

Parameters:
  `cls` - Cause classes to check (if `null` or empty, `false` is returned).
Returns:
  `True` if one of the causing exception is an instance of passed in classes, `false` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023